## dspam 3.9.1~rc1+git20110514.347379b+dfsg

=== debian/changelog ===
dspam (3.9.1~rc1+git20110514.347379b+dfsg-1) unstable; urgency=low

  * New git snapshot
  * Fix typo in libdspam7-drv-pgsql short description (Closes: #626608) 
  * Ensure old conffiles are correctly removed on upgrade (Closes: #626286)

 -- Julien Valroff <julien@debian.org>  Sat, 14 May 2011 08:57:43 +0200

dspam (3.9.1~rc1+git20110419.29261fb+dfsg-2) unstable; urgency=low

  * Fix typos in dspam postinst script which caused the package to be 
    uninstallable 

 -- Julien Valroff <julien@debian.org>  Sun, 08 May 2011 15:44:26 +0200

dspam (3.9.1~rc1+git20110419.29261fb+dfsg-1) unstable; urgency=low

  [ Julien Valroff ]
  * New git snapshot
  * Install all dspam_* tools setgid so that they can be used by standard
    users
  * Add symbols file for libdspam7
  * Upload to unstable

  [ Thomas Preud'homme ]
  * Fix permissions on dspam_stats and missing opt-{in,out} directories
    (Closes: #394443)

 -- Julien Valroff <julien@debian.org>  Sun, 08 May 2011 13:43:52 +0200

dspam (3.9.1~rc1+git20110312.9a9050f+dfsg-2) experimental; urgency=low

  * Add the complete MPL-1.1 text to the dspam package 
  * Update to new policy 3.9.2 (no changes needed)
  * Locks dspam system account on purge 

 -- Julien Valroff <julien@debian.org>  Sun, 10 Apr 2011 13:36:00 +0200

dspam (3.9.1~rc1+git20110312.9a9050f+dfsg-1) experimental; urgency=low

  [ Kurt B. Kaiser ]
  * debian/rules: don't use --build config option if host equals target.
  * debian/rules: dpkg-dev now handles CFLAGS.
  * Use maintainer-clean in clean target and remove any Makefile.in left over.
  * Remove libapache2-mod-auth-shadow - no longer available in unstable
  * Suggest clamav-daemon instead of recommending it.
  * Suggest dspam-webfrontend.
  * Add amavis to trusted users (Closes: #477508)
  * Use dh_lintian to install the webfrontend conffile override
  * Webfrontend improvements:
    - Delete the old, obsolete apache.conf file from the package, and
      purge it when dspam-webfrontend is purged if it is present in
      /etc/dspam/.
    - Move the html templates to /etc/dspam/templates/
    - Install the apache conf fragment as an example in dspam-webfrontend 
    - Modify apache2.conf to install a working example website. Use
      /etc/dspam/passwd, which doesn't need access to /etc/shadow.
      (Closes: #430589)
    - Clean up customize-cgi.txt and add it to README.Debian. 

  [ Julien Valroff ]
  * New upstream release
    (Closes: #418736, #491387, #505010, #514498, #577661, #445890, #383964,
    #430840, #568068)
  * Bump Standards to 3.9.1:
    - Add README.source, as per Debian Policy Manual 4.14
  * Bump debhelper compatibility to 8
  * Update/remove patches for new release
  * Add misc depends to all binary packages
  * Rewrite package descriptions
  * Use dh_prep instead of dh_clean -k
  * Drop obsolete db4 driver (Closes: #601209)
  * Update copyright information
  * Add Vcs-* and Homepage fields in control file
  * Remove useless DMUA field 
  * Add TODO.Debian file to describe planned changes to DSPAM Debian packages
  * Fix watch file to track upstream releases on new hosting location
  * Remove /var/run/dspam from dspam.dirs to make lintian happy - the init
    script makes sure the directory is created before starting dspam
  * Install examples scripts using dh_installexamples
  * Update SQL schemas and make sure the databases are updated when upgrading
    from 3.6.8 using dbconfig-common
  * Set default database name and user name to dspam for both MySQL and PgSQL
  * Make dspam-webfrontend suggest apache2
  * Remove inactive & MIA uploaders (Closes: #503488)
  * Add myself as uploader
  * Add depends on other MDAs than procmail (Closes: #506312)
  * Honour $USER in call to chmod (Closes: #505217)
  * Fix MySQL daily cronjob to work correctly when using storage profiles
  * Make MySQL daily cronjob quiet
  * Fix build-dependencies to use current automake version and use
    unversionned libmysqclient-dev
  * Drop runtime dependencies on debconf - unneeded as this package
    is "required"
  * Purge ucf database and ucf config files on package purge
  * Remove unused lintian overrides
  * Add description to all patches
  * Rewrite init script based on the current skeleton shipped in the
    initscripts package
  * Add numerical prefixes to Debian patches 
  * Fix verbose_bug build option
  * Add logrotate entry for dspam.messages and sql.errors
  * Add 'notifempty' option for logrotate
  * Fix 'hyphen-used-as-minus-sign' lintian information: escape all --
    in manpages
  * Update dspam_admin manpage to list aggregate feature
  * Makes drv-sqlite3 daily cronjob quiet if package is removed and
    not purged - thanks to Petter Reinholdtsen <pere@hungry.com>
    (Closes: #540064, #562857)
  * Converted source package to 3.0 (quilt) format
  * Add dependency to libhtml-parser-perl for the webfrontend
  * Opt Out is now the default condfiguration, as per upstream default
  * Default daemon port is set to 2424 as dspam daemon is run by an
    unprivileged user (Closes: #385760)
  * Add explicit dependency on perl
  * Fix typo in README.source
  * Fix daily cron scripts to avoid problems if the user has added
    two identical entries for certain values
    (thanks to Stevan Bajić <stevan@bajic.ch>)
  * Add automatic configuration file splitting snippet in rules
    (thanks to Stevan Bajić <stevan@bajic.ch>)
  * Make use of dspam_maintenance.sh script instead of homemade purge scripts
  * Only ships SQL files for MySQL >= 4.1 as no older version is available
    in Debian
  * Add dspam_notify script in dspam-webfrontend to send automatic quarantine
    email notification
  * Add debug package which ships debugging symbols
  * Switch to dh style rules file
  * Repack upstream tarball to make DFSG clean sources and add explanations to
    README.source file

 -- Julien Valroff <julien@debian.org>  Mon, 28 Mar 2011 15:04:10 +0200

dspam (3.6.8-9.3) unstable; urgency=low


