=== debian/control ===
Source: dspam
Section: mail
Priority: optional
Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
Uploaders: Julien Valroff <julien@debian.org>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               libtool,
               automake,
               zlib1g-dev,
               libmysqlclient-dev,
               libpq-dev,
               libsqlite3-dev,
               libldap2-dev
Standards-Version: 3.9.2
Homepage: http://dspam.sourceforge.net
Vcs-Git: git://git.debian.org/pkg-dspam/dspam.git
Vcs-Browser: http://git.debian.org/?p=pkg-dspam/dspam.git;a=summary

Package: dspam
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, procmail | maildrop | courier-maildrop | sensible-mda, lsb-base (>= 3.0-6)
Recommends: dspam-doc
Suggests: clamav-daemon, dspam-webfrontend
Description: Scalable, fast and statistical anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package includes the DSPAM agent which provides.

Package: dspam-webfrontend
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, dspam (>= ${source:Version}), ucf (>= 0.28), libgd-gd2-perl | libgd-gd2-noxpm-perl, libgd-graph3d-perl, libhtml-parser-perl
Suggests: apache2, apache2-suexec (>= 2.2.9-3), libapache2-mod-perl2, libapache2-mod-auth-pam | libapache2-mod-auth-mysql | libapache2-mod-auth-pgsql | libapache2-mod-auth-openid | libapache2-mod-auth-kerb | libapache2-mod-auth-plain | libapache2-mod-auth-radius | libapache2-mod-auth-sys-group, ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont
Description: Webfrontend for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package includes the webfrontend for DSPAM. This can be used together
 with several database backends including PostgreSQL, MySQL, and sqlite3.

Package: libdspam7
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Suggests: libdspam7-drv (= ${binary:Version})
Description: Core message processing and classification functionality for DSPAM
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the library where people can link to.

Package: libdspam7-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
Description: Development headers for libdspam
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the development headers for libdspam.

Package: libdspam7-drv-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), postgresql-client
Recommends: postgresql
Provides: libdspam7-drv
Description: PostgreSQL backend for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the PostgreSQL backend.

Package: libdspam7-drv-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), mysql-client
Recommends: mysql-server
Provides: libdspam7-drv
Description: MySQL backend for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the MySQL backend.

Package: libdspam7-drv-sqlite3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sqlite3, libdspam7 (= ${binary:Version})
Provides: libdspam7-drv
Description: sqlite3 backend for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the sqlite3 backend.

Package: dspam-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for DSPAM anti-spam filter
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package contains the documentation for DSPAM.

Package: dspam-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, dspam (= ${binary:Version})
Priority: extra
Description: debugging symbols for dspam
 DSPAM is a dedicated statistical filter with minimal resources. It includes
 many new algorithms to fight against spam including:
  * Concept Identification
  * Message Inoculation
  * Advanced de-obfuscation techniques
  * Bayesian Noise Reduction
 .
 This package includes the debugging symbols for the dspam packages.
