## dspam 3.10.1%2bdfsg

=== debian/changelog ===
dspam (3.10.1+dfsg-4ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use maintscript support in dh_installdeb rather than writing out
      dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on
      a new enough version of dpkg rather than using
      'dpkg-maintscript-helper supports' guards, leading to more predictable
      behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Mar 2012 14:17:08 +0000

dspam (3.10.1+dfsg-4) unstable; urgency=low

  * Apply patch from upstream to use POSIX::ctime() instead of deprecated
    ctime.pl (Closes: #658950)

 -- Julien Valroff <julien@debian.org>  Fri, 10 Feb 2012 21:55:13 +0100

dspam (3.10.1+dfsg-3ubuntu1) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 10:39:34 +0000

dspam (3.10.1+dfsg-3build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:25:40 -0800

dspam (3.10.1+dfsg-3) unstable; urgency=low

  * Fix Apache configuration example (Closes: #638289) 
  * Add again ucf calls in libdspam7-drv-{mysql,pgsql}.postinst scripts: they
    are actually needed to clean files registered through dbconfig-common 

 -- Julien Valroff <julien@debian.org>  Sun, 21 Aug 2011 21:53:32 +0200

dspam (3.10.1+dfsg-2) unstable; urgency=low

  * Let libdspam7-dbg suggest libc-debug 
  * Add dspam.NEWS file to state that dspam.conf should be updated following to
    the change of location of the various backend shared objects due to
    multi-arch support
  * Let dh_installdocs automatically install debian/TODO as TODO.Debian 

 -- Julien Valroff <julien@debian.org>  Mon, 15 Aug 2011 14:59:35 +0200

dspam (3.10.1+dfsg-1) unstable; urgency=low

  [ Julien Valroff ]
  * New upstream release:
    + Update copyright information following to upstream license switch from
      GPL-2 to AGPL-3+
    + Drop patches merged upstream
  * Ensures system user is actually locked on purge, and unlocked in case
    the package is reinstalled
  * Demote various MDA's from Depends to Recommends
  * Add multiarch support:
    + Move the hash driver to as dedicated package
    + Clean .install files
    + Split debugging symbols into independent debug packages
    + Move dspam_pg2int8 to dspam (which introduces a new dependency on
    libpq5)
  * Remove useless 001_drivers-in-usr_lib_dspam patch
  * Remove useless calls to ucf in libdspam7-drv-{mysql,pgsql}.postinst
    scripts

  [ Thomas Preud'homme ]
  * Set build flags (CPPFLAGS, CFLAGS and LDFLAGS) using dpkg-buildflags.

 -- Julien Valroff <julien@debian.org>  Sat, 13 Aug 2011 08:12:05 +0200
