## dspam 3.10.1+dfsg

=== debian/changelog ===
dspam (3.10.1+dfsg-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Julien Valroff <julien@debian.org>  Fri, 26 Aug 2011 15:56:49 +0200
