=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
 Uploaders: Julien Valroff <julien@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 8.1.3),
                dh-autoreconf,
                libtool,
                automake,
@@ -19,8 +19,8 @@
 
 Package: dspam
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, procmail | maildrop | courier-maildrop | sensible-mda, lsb-base (>= 3.0-6)
-Recommends: dspam-doc
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), libdspam7-drv-hash (= ${binary:Version}) | libdspam7-drv-mysql (= ${binary:Version}) | libdspam7-drv-pgsql (= ${binary:Version}) | libdspam7-drv-sqlite3 (= ${binary:Version})
+Recommends: procmail | maildrop | courier-maildrop | sensible-mda, dspam-doc
 Suggests: clamav-daemon, dspam-webfrontend
 Description: Scalable, fast and statistical anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
@@ -51,8 +51,10 @@
 Package: libdspam7
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
 Suggests: libdspam7-drv (= ${binary:Version})
+Multi-Arch: ${misc:Multi-Arch}
 Description: Core message processing and classification functionality for DSPAM
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -66,7 +68,9 @@
 Package: libdspam7-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
+Multi-Arch: ${misc:Multi-Arch}
 Description: Development headers for libdspam
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -77,11 +81,31 @@
  .
  This package contains the development headers for libdspam.
 
+Package: libdspam7-drv-hash
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version})
+Replaces: dspam (<= 3.9.1~rc1+git20110514.347379b+dfsg-1)
+Breaks: dspam (<= 3.9.1~rc1+git20110514.347379b+dfsg-1)
+Provides: libdspam7-drv
+Multi-Arch: ${misc:Multi-Arch}
+Description: Hash backend for DSPAM anti-spam filter
+ DSPAM is a dedicated statistical filter with minimal resources. It includes
+ many new algorithms to fight against spam including:
+  * Concept Identification
+  * Message Inoculation
+  * Advanced de-obfuscation techniques
+  * Bayesian Noise Reduction
+ .
+ This package contains the hash backend.
+
 Package: libdspam7-drv-pgsql
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), postgresql-client
 Recommends: postgresql
 Provides: libdspam7-drv
+Multi-Arch: ${misc:Multi-Arch}
 Description: PostgreSQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -94,9 +118,11 @@
 
 Package: libdspam7-drv-mysql
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), mysql-client
 Recommends: mysql-server
 Provides: libdspam7-drv
+Multi-Arch: ${misc:Multi-Arch}
 Description: MySQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -109,8 +135,10 @@
 
 Package: libdspam7-drv-sqlite3
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, sqlite3, libdspam7 (= ${binary:Version})
 Provides: libdspam7-drv
+Multi-Arch: ${misc:Multi-Arch}
 Description: sqlite3 backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -148,4 +176,22 @@
   * Advanced de-obfuscation techniques
   * Bayesian Noise Reduction
  .
- This package includes the debugging symbols for the dspam packages.
+ This package includes the debugging symbols for the dspam package.
+
+Package: libdspam7-dbg
+Section: debug
+Architecture: any
+Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
+Recommends: libdspam7-drv-hash (= ${binary:Version}), libdspam7-drv-mysql (= ${binary:Version}), libdspam7-drv-pgsql (= ${binary:Version}), libdspam7-drv-sqlite3 (= ${binary:Version})
+Suggests: libc-dbg
+Priority: extra
+Multi-Arch: ${misc:Multi-Arch}
+Description: debugging symbols for DSPAM related libraries
+ DSPAM is a dedicated statistical filter with minimal resources. It includes
+ many new algorithms to fight against spam including:
+  * Concept Identification
+  * Message Inoculation
+  * Advanced de-obfuscation techniques
+  * Bayesian Noise Reduction
+ .
+ This package includes the debugging symbols for DSPAM related libraries.
