## dspam 3.10.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,23 @@
 Section: mail
 Priority: optional
 Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
-Uploaders: Julien Valroff <julien@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
-               dh-autoreconf,
-               libtool,
-               automake,
-               zlib1g-dev,
-               libmysqlclient-dev,
-               libpq-dev,
-               libsqlite3-dev,
+Uploaders: Julien Valroff <julien@debian.org>,
+           Thomas Preud'homme <robotux@debian.org>
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, libtool, automake,
+               zlib1g-dev, libmysqlclient-dev, libpq-dev, libsqlite3-dev,
                libldap2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://dspam.sourceforge.net
-Vcs-Git: git://git.debian.org/pkg-dspam/dspam.git
-Vcs-Browser: http://git.debian.org/?p=pkg-dspam/dspam.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-dspam/dspam.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-dspam/dspam.git;a=summary
 
 Package: dspam
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, lsb-base (>= 3.0-6), libdspam7-drv-hash (= ${binary:Version}) | libdspam7-drv-mysql (= ${binary:Version}) | libdspam7-drv-pgsql (= ${binary:Version}) | libdspam7-drv-sqlite3 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
+         lsb-base (>= 3.0-6), libdspam7-drv-hash (= ${binary:Version})
+         | libdspam7-drv-mysql (= ${binary:Version})
+         | libdspam7-drv-pgsql (= ${binary:Version})
+         | libdspam7-drv-sqlite3 (= ${binary:Version})
 Recommends: procmail | maildrop | courier-maildrop | sensible-mda, dspam-doc
 Suggests: clamav-daemon, dspam-webfrontend
 Description: Scalable, fast and statistical anti-spam filter
@@ -35,8 +34,16 @@
 Package: dspam-webfrontend
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, dspam (>= ${source:Version}), ucf (>= 0.28), libgd-gd2-perl | libgd-gd2-noxpm-perl, libgd-graph3d-perl, libhtml-parser-perl
-Suggests: apache2, apache2-suexec (>= 2.2.9-3), libapache2-mod-perl2, libapache2-mod-auth-pam | libapache2-mod-auth-mysql | libapache2-mod-auth-pgsql | libapache2-mod-auth-openid | libapache2-mod-auth-kerb | libapache2-mod-auth-plain | libapache2-mod-auth-radius | libapache2-mod-auth-sys-group, ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, dspam (>= ${source:Version}),
+         ucf (>= 0.28), libgd-gd2-perl | libgd-gd2-noxpm-perl,
+         libgd-graph3d-perl, libhtml-parser-perl
+Suggests: apache2, apache2-suexec (>= 2.2.9-3), libapache2-mod-perl2,
+          libapache2-mod-auth-pam | libapache2-mod-auth-mysql
+          | libapache2-mod-auth-pgsql | libapache2-mod-auth-openid
+          | libapache2-mod-auth-kerb | libapache2-mod-auth-plain
+          | libapache2-mod-auth-radius | libapache2-mod-auth-sys-group,
+          ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont
 Description: Webfrontend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -53,8 +60,10 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
-Suggests: libdspam7-drv (= ${binary:Version})
-Multi-Arch: ${misc:Multi-Arch}
+Suggests: libdspam7-drv-hash (= ${binary:Version})
+          | libdspam7-drv-pgsql (= ${binary:Version})
+          | libdspam7-drv-mysql (= ${binary:Version})
+          | libdspam7-drv-sqlite3 (= ${binary:Version})
 Description: Core message processing and classification functionality for DSPAM
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -70,7 +79,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
-Multi-Arch: ${misc:Multi-Arch}
 Description: Development headers for libdspam
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -85,10 +93,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version})
-Replaces: dspam (<= 3.9.1~rc1+git20110514.347379b+dfsg-1)
-Breaks: dspam (<= 3.9.1~rc1+git20110514.347379b+dfsg-1)
-Provides: libdspam7-drv
-Multi-Arch: ${misc:Multi-Arch}
 Description: Hash backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -102,10 +106,9 @@
 Package: libdspam7-drv-pgsql
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), postgresql-client
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}),
+         dbconfig-common, ucf (>= 0.28), postgresql-client
 Recommends: postgresql
-Provides: libdspam7-drv
-Multi-Arch: ${misc:Multi-Arch}
 Description: PostgreSQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -119,10 +122,9 @@
 Package: libdspam7-drv-mysql
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}), dbconfig-common, ucf (>= 0.28), mysql-client
+Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}),
+         dbconfig-common, ucf (>= 0.28), mysql-client
 Recommends: mysql-server
-Provides: libdspam7-drv
-Multi-Arch: ${misc:Multi-Arch}
 Description: MySQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -136,9 +138,8 @@
 Package: libdspam7-drv-sqlite3
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, sqlite3, libdspam7 (= ${binary:Version})
-Provides: libdspam7-drv
-Multi-Arch: ${misc:Multi-Arch}
+Depends: ${misc:Depends}, ${shlibs:Depends}, sqlite3,
+         libdspam7 (= ${binary:Version})
 Description: sqlite3 backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -182,10 +183,12 @@
 Section: debug
 Architecture: any
 Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
-Recommends: libdspam7-drv-hash (= ${binary:Version}), libdspam7-drv-mysql (= ${binary:Version}), libdspam7-drv-pgsql (= ${binary:Version}), libdspam7-drv-sqlite3 (= ${binary:Version})
+Recommends: libdspam7-drv-hash (= ${binary:Version}),
+            libdspam7-drv-mysql (= ${binary:Version}),
+            libdspam7-drv-pgsql (= ${binary:Version}),
+            libdspam7-drv-sqlite3 (= ${binary:Version})
 Suggests: libc-dbg
 Priority: extra
-Multi-Arch: ${misc:Multi-Arch}
 Description: debugging symbols for DSPAM related libraries
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
