## dspam 3.10.2+dfsg

=== debian/changelog ===
dspam (3.10.2+dfsg-15) unstable; urgency=medium

  * [5b48e99] Adjust MySQL dependencies to new package names
  * [c074629] Add patch to fix PostgreSQL version check
  * [6b82408] debian/*.postrm: remove tests for ucf binary availability.
    Binary packages already depends on ucf, so those tests are unnecessary
  * [a7ae15f] Use automatically generated debug symbol packages
  * [b799bd9] Bump debhelper compatibility level to 10
  * [63b0850] Bump Standards-Version to 3.9.8

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 17 Dec 2018 16:57:33 +0100

dspam (3.10.2+dfsg-14) unstable; urgency=medium

  [ Thomas Preud'homme ]

  * [fc86be3] Adjust some dependencies to new package names (Closes: #738222)

  [ Raphaël Halimi ]

  * Adopt package:
  * [adc42e7] Set myself as sole maintainer
  * [73a9f84] debian/control: remove Vcs-* fields.
    Alioth service is discontinued; furthermore, this package has been
    removed from Debian, and is very unlikely to be reintroduced since it's
    dead upstream.
  * [b0f3bc4] debian/gbp.conf: use pristine-tar

  * Simplify debian/rules:
  * [65e305e] Get rid of the non-multiarch backporting stuff.
    This package won't be backported anymore, since it's dead upstream
  * [c312d17] Get rid of non-standard build options.
    Only non-standard configurations benefitted from those build options; if
    necessary, they can be added back by modifying debian/rules
  * [b389515] Remove dh_installinit override
    update-rc.d no longer accepts start and stop actions

  * Patches:
  * [781514f] Refresh all patches
  * [4f48ed0] Add patch to fix spelling errors in source
  * [b045d9a] Add patch to add suggested options to configure.ac
    libtoolize suggests adding "AC_CONFIG_MACRO_DIR([m4])" to keep the
    correct libtool macros in-tree; also, automake suggests using the
    "subdir-objects" option. Compilation works without these options, but
    adding them gets rid of spurious warnings.

  * Systemd support:
  * [93e6e54] Add systemd service file
    - The daemon is now disabled by default
    - Remove "START" setting from /etc/default/dspam
    - Adopt "restart-after-upgrade" behavior

  * Other changes:
  * [0b8a8fa] Fix spelling errors and typos in Debian packaging
  * [0faffbe] Remove final "exit 0" from maintainer scripts
  * [40931c6] debian/rules: enable all hardening options
  * [bf52a98] debian/copyright: minor changes
    - Wrap "Comment" section at 80 columns
    - Clarify MPL license version for contrib/plugins/*
    - Move MPL-1.1 license into a separate paragraph
  * [f68861e] dspam-doc: remove cssclean.txt (already present in dspam)
  * [716d274] Bump Standards-Version to 3.9.6

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 17 Dec 2018 16:23:09 +0100

dspam (3.10.2+dfsg-13) unstable; urgency=medium

  * debian/patches:
    + drop patch to introduce escape string constants. Although escaped, the
      only escape sequence contained in strings are made to be interpreted
      (Closes: #731093).
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Thomas Preud'homme <robotux@debian.org>  Fri, 13 Dec 2013 19:11:00 +0800

dspam (3.10.2+dfsg-12) unstable; urgency=low

  * Close stdin, stdout and stderr when launching dspam daemon in dspam init
    script as dspam fails to do so (Closes: #726713).
  * Remove /var/log/dspam and /var/spool/dspam on purge (Closes: 729787).
  * debian/patches:
    + Enhance cssclean to fix corrupted css file (Closes: #722485).
    + Properly escape string constants in PostgreSQL driver (Closes: #719663).
    + drop patch to require legacy mode for string escaping in PostgreSQL.

 -- Thomas Preud'homme <robotux@debian.org>  Tue, 26 Nov 2013 22:28:14 +0800

dspam (3.10.2+dfsg-11) unstable; urgency=low

  * debian/patches:
    + Remove patch improving handling of malformed css file as it creates more
      problems than it solves in its current form.

 -- Thomas Preud'homme <robotux@debian.org>  Tue, 15 Oct 2013 04:59:39 +0200

dspam (3.10.2+dfsg-10) unstable; urgency=low

  * debian/patches:
    + Improve handling of malformed css file (Closes: #722484).

 -- Thomas Preud'homme <robotux@debian.org>  Wed, 25 Sep 2013 13:25:02 +0200

dspam (3.10.2+dfsg-9) unstable; urgency=low

  * Add patch 011_define_WCONTINUED_and_WIFCONTINUED_if_not_defined.diff to
    fix Hurd FTBFS.
  * Add patch 012_cssclean_dont_read_past_end_of_css_files.diff to prevent
    segfault of cssclean in case of malformed css file (Closes: #722057).
  * Fix metadata of patch
    009_fix_recipient_corruption_when_releasing_message_from_quarantine.diff
  * Update Vcs-* field to use the current canonical URI.

 -- Thomas Preud'homme <robotux@debian.org>  Tue, 10 Sep 2013 15:19:26 +0200

dspam (3.10.2+dfsg-8) unstable; urgency=low

  * Remove obsolete DM-Upload-Allowed flag.
  * debian/control:
    + Use real packages for the versionned Suggest dependency instead of
      virtual package libdspam7-drv.
    + Remove useless libdspam7-drv virtual package.
    + Wrap lines to 80 characters.
  * Drop elements for upgrade from pre-wheezy systems.
  * Create plpgsql only if it is not loaded yet (Closes: #702764).
  * Explicitly require legacy mode for string escaping in PostgreSQL since it
    now defaults to standard compliant mode (Closes: #694942).

 -- Thomas Preud'homme <robotux@debian.org>  Wed, 29 May 2013 15:58:22 +0200

dspam (3.10.1+dfsg-11) testing-proposed-updates; urgency=low

  * Create plpgsql only if it is not loaded yet (Closes: #702764).

 -- Thomas Preud'homme <robotux@debian.org>  Thu, 07 Mar 2013 10:25:49 +0100

dspam (3.10.1+dfsg-10) testing-proposed-updates; urgency=low

  * Explicitly require legacy mode for string escaping in PostgreSQL since it
    now defaults to standard compliant mode (Closes: #694942).
  * Fix error when creating database in PostgreSQL by creating plpgsql as
    extension instead of language.

 -- Thomas Preud'homme <robotux@debian.org>  Mon, 04 Mar 2013 13:56:45 +0100


