=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: dspam
 Section: mail
 Priority: optional
-Maintainer: Debian DSPAM Maintainers <pkg-dspam-misc@lists.alioth.debian.org>
-Uploaders: Julien Valroff <julien@debian.org>,
-           Thomas Preud'homme <robotux@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, libtool, automake,
-               zlib1g-dev, libmysqlclient-dev, libpq-dev, libsqlite3-dev,
+Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
+Build-Depends: debhelper (>= 10),
+               zlib1g-dev, default-libmysqlclient-dev, libpq-dev, libsqlite3-dev,
                libldap2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://dspam.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/pkg-dspam/dspam.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-dspam/dspam.git;a=summary
 
 Package: dspam
 Architecture: any
+Pre-Depends: debconf (>= 0.5) | debconf-2.0
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
          lsb-base (>= 3.0-6), libdspam7-drv-hash (= ${binary:Version})
          | libdspam7-drv-mysql (= ${binary:Version})
@@ -43,7 +40,7 @@
           | libapache2-mod-auth-pgsql | libapache2-mod-auth-openid
           | libapache2-mod-auth-kerb | libapache2-mod-auth-plain
           | libapache2-mod-auth-radius | libapache2-mod-auth-sys-group,
-          ttf-dejavu-core | ttf-bitstream-vera | ttf-freefont
+          fonts-dejavu-core | ttf-bitstream-vera | fonts-freefont-ttf
 Description: Webfrontend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -123,8 +120,8 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, libdspam7 (= ${binary:Version}),
-         dbconfig-common, ucf (>= 0.28), mysql-client
-Recommends: mysql-server
+         dbconfig-common, ucf (>= 0.28), mariadb-client | default-mysql-client
+Recommends: mariadb-server | default-mysql-server
 Description: MySQL backend for DSPAM anti-spam filter
  DSPAM is a dedicated statistical filter with minimal resources. It includes
  many new algorithms to fight against spam including:
@@ -133,7 +130,7 @@
   * Advanced de-obfuscation techniques
   * Bayesian Noise Reduction
  .
- This package contains the MySQL backend.
+ This package contains the MySQL / MariaDB backend.
 
 Package: libdspam7-drv-sqlite3
 Architecture: any
@@ -163,38 +160,3 @@
   * Bayesian Noise Reduction
  .
  This package contains the documentation for DSPAM.
-
-Package: dspam-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, dspam (= ${binary:Version})
-Priority: extra
-Description: debugging symbols for dspam
- DSPAM is a dedicated statistical filter with minimal resources. It includes
- many new algorithms to fight against spam including:
-  * Concept Identification
-  * Message Inoculation
-  * Advanced de-obfuscation techniques
-  * Bayesian Noise Reduction
- .
- This package includes the debugging symbols for the dspam package.
-
-Package: libdspam7-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, libdspam7 (= ${binary:Version})
-Recommends: libdspam7-drv-hash (= ${binary:Version}),
-            libdspam7-drv-mysql (= ${binary:Version}),
-            libdspam7-drv-pgsql (= ${binary:Version}),
-            libdspam7-drv-sqlite3 (= ${binary:Version})
-Suggests: libc-dbg
-Priority: extra
-Description: debugging symbols for DSPAM related libraries
- DSPAM is a dedicated statistical filter with minimal resources. It includes
- many new algorithms to fight against spam including:
-  * Concept Identification
-  * Message Inoculation
-  * Advanced de-obfuscation techniques
-  * Bayesian Noise Reduction
- .
- This package includes the debugging symbols for DSPAM related libraries.
